Bug 117104 - mod_jk2 version number is wrong
mod_jk2 version number is wrong
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-28 10:59 EST by Casper Pedersen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 05:53:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casper Pedersen 2004-02-28 10:59:07 EST
Description of problem:
Package name: mod_jk2-4.1.27-10.i386.rpm, 4.1.27 is from tomcat which
is incorrect. It should be 2.0.2 (mod_jk2-2.0.2-xx.i386.rpm).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gary Benson 2004-03-01 05:53:24 EST
Unfortunatly it is not possible to fix this given the way rpm works.
Comment 2 Casper Pedersen 2004-03-01 09:22:35 EST
It should be, mod_jk2 is not part of Tomcat, and should therefor not 
follow the same version numbering as Tomcat. 

I have build mod_jk2 as an RPM, and I have the correct version number 
in mine (http://fedoranews.org/casper/mod_jk2/mod_jk2.spec).
Comment 3 Gary Benson 2004-03-01 09:40:10 EST
Did you download the tarball from somewhere or did you roll your own?
Comment 4 Casper Pedersen 2004-03-01 12:29:13 EST
I downloaded the tar ball of mod_jk2-2.0.2 from
http://www.apache.org/dist/jakarta/tomcat-connectors/jk2/source/, and
then I just use the .spec I wrote to build the RPM file.

Note You need to log in before you can comment on or make changes to this bug.